/*!
 * \file SystemData.h
 * \date 2014/08/18 13:23
 *
 * \author Kane
 * Contact: user@company.com
 *
 * \brief 
 *
 * TODO: long description
 *
 * \note
*/

#ifndef SystemData_h__
#define SystemData_h__

#include <unordered_map>
#include <string>
#include "Parameters.h"

using namespace std;

//extern hash_map<string, string> parameters;
extern Parameters * pParameters;

//bool checkVersion();

void init_parameters();

string getUserCode();
string getUserName();

void   setUserCode( const string & cstrUserCode );
void   setUserName( const string & cstrUserName );

string getVersion();


#endif // SystemData_h__